!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 15:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 106

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(634)
  integer, parameter :: nGC_10 = 1
  integer, parameter :: nGC_12 = 2
  integer, parameter :: nGC_3 = 3
  integer, parameter :: nGC_5 = 4
  integer, parameter :: nGC_25 = 5
  integer, parameter :: nGC_18 = 6
  integer, parameter :: nGC_29 = 7
  integer, parameter :: nGC_19 = 8
  integer, parameter :: nGC_4 = 9
  integer, parameter :: nGC_16 = 10
  integer, parameter :: nGC_30 = 11
  integer, parameter :: nGC_31 = 12
  integer, parameter :: nGC_43 = 13
  integer, parameter :: nGC_24 = 14
  integer, parameter :: nGC_32 = 15
  integer, parameter :: nGC_33 = 16
  integer, parameter :: nGC_44 = 17
  integer, parameter :: nGC_15 = 18
  integer, parameter :: nGC_13 = 19
  integer, parameter :: nGC_14 = 20
  integer, parameter :: nGC_3296 = 21
  integer, parameter :: nGC_48 = 22
  integer, parameter :: nGC_49 = 23
  integer, parameter :: nGC_6 = 24
  integer, parameter :: nGC_28 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_51 = 27
  integer, parameter :: nGC_22 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_20 = 31
  integer, parameter :: nGC_17 = 32
  integer, parameter :: nGC_50 = 33
  integer, parameter :: nGC_42 = 34
  integer, parameter :: nGC_37 = 35
  integer, parameter :: nGC_40 = 36
  integer, parameter :: nGC_9 = 37
  integer, parameter :: nGC_8 = 38
  integer, parameter :: nGC_47 = 39
  integer, parameter :: nGC_7 = 40
  integer, parameter :: nGC_46 = 41
  integer, parameter :: nGC_45 = 42
  integer, parameter :: nGC_52 = 43
  integer, parameter :: nGC_2 = 44
  integer, parameter :: nGC_1 = 45
  integer, parameter :: nGC_11 = 46
  integer, parameter :: nGC_23 = 47
  integer, parameter :: nGC_35 = 48
  integer, parameter :: nGC_39 = 49
  integer, parameter :: nGC_34 = 50
  integer, parameter :: nGC_38 = 51
  integer, parameter :: nGC_41 = 52
  integer, parameter :: nGC_36 = 53
  integer, parameter :: nGC_85 = 54
  integer, parameter :: nGC_61 = 55
  integer, parameter :: nGC_3329 = 56
  integer, parameter :: nGC_3330 = 57
  integer, parameter :: nGC_57 = 58
  integer, parameter :: nGC_73 = 59
  integer, parameter :: nGC_3331 = 60
  integer, parameter :: nGC_3332 = 61
  integer, parameter :: nGC_77 = 62
  integer, parameter :: nGC_53 = 63
  integer, parameter :: nGC_64 = 64
  integer, parameter :: nGC_62 = 65
  integer, parameter :: nGC_76 = 66
  integer, parameter :: nGC_74 = 67
  integer, parameter :: nGC_56 = 68
  integer, parameter :: nGC_54 = 69
  integer, parameter :: nGC_63 = 70
  integer, parameter :: nGC_75 = 71
  integer, parameter :: nGC_55 = 72
  integer, parameter :: nGC_65 = 73
  integer, parameter :: nGC_3344 = 74
  integer, parameter :: nGC_69 = 75
  integer, parameter :: nGC_3345 = 76
  integer, parameter :: nGC_81 = 77
  integer, parameter :: nGC_3346 = 78
  integer, parameter :: nGC_68 = 79
  integer, parameter :: nGC_66 = 80
  integer, parameter :: nGC_72 = 81
  integer, parameter :: nGC_70 = 82
  integer, parameter :: nGC_84 = 83
  integer, parameter :: nGC_82 = 84
  integer, parameter :: nGC_67 = 85
  integer, parameter :: nGC_71 = 86
  integer, parameter :: nGC_83 = 87
  integer, parameter :: nGC_86 = 88
  integer, parameter :: nGC_88 = 89
  integer, parameter :: nGC_58 = 90
  integer, parameter :: nGC_60 = 91
  integer, parameter :: nGC_78 = 92
  integer, parameter :: nGC_80 = 93
  integer, parameter :: nGC_87 = 94
  integer, parameter :: nGC_59 = 95
  integer, parameter :: nGC_79 = 96
  integer, parameter :: nGC_3365 = 97
  integer, parameter :: nGC_MH = 98
  integer, parameter :: nGC_I = 99
  integer, parameter :: nGC_MI = 100
  integer, parameter :: nGC_3368 = 101
  integer, parameter :: nGC_ME = 102
  integer, parameter :: nGC_3369 = 103
  integer, parameter :: nGC_MM = 104
  integer, parameter :: nGC_3370 = 105
  integer, parameter :: nGC_MTA = 106
  integer, parameter :: nGC_3371 = 107
  integer, parameter :: nGC_MU = 108
  integer, parameter :: nGC_3372 = 109
  integer, parameter :: nGC_MC = 110
  integer, parameter :: nGC_3373 = 111
  integer, parameter :: nGC_MT = 112
  integer, parameter :: nGC_3374 = 113
  integer, parameter :: nGC_MD = 114
  integer, parameter :: nGC_3375 = 115
  integer, parameter :: nGC_MS = 116
  integer, parameter :: nGC_3376 = 117
  integer, parameter :: nGC_MB = 118
  integer, parameter :: nGC_3377 = 119
  integer, parameter :: nGC_MZ = 120
  integer, parameter :: nGC_3378 = 121
  integer, parameter :: nGC_MW = 122
  integer, parameter :: nGC_MW_GF = 123
  integer, parameter :: nGC_MMW_GF = 124
  integer, parameter :: nGC_MZ_GF = 125
  integer, parameter :: nGC_156 = 126
  integer, parameter :: nGC_160 = 127
  integer, parameter :: nGC_162 = 128
  integer, parameter :: nGC_176 = 129
  integer, parameter :: nGC_182 = 130
  integer, parameter :: nGC_186 = 131
  integer, parameter :: nGC_190 = 132
  integer, parameter :: nGC_194 = 133
  integer, parameter :: nGC_198 = 134
  integer, parameter :: nGC_212 = 135
  integer, parameter :: nGC_218 = 136
  integer, parameter :: nGC_248 = 137
  integer, parameter :: nGC_1110 = 138
  integer, parameter :: nGC_1122 = 139
  integer, parameter :: nGC_1246 = 140
  integer, parameter :: nGC_1406 = 141
  integer, parameter :: nGC_1418 = 142
  integer, parameter :: nGC_4646 = 143
  integer, parameter :: nGC_4651 = 144
  integer, parameter :: nGC_4652 = 145
  integer, parameter :: nGC_4653 = 146
  integer, parameter :: nGC_4654 = 147
  integer, parameter :: nGC_4659 = 148
  integer, parameter :: nGC_4676 = 149
  integer, parameter :: nGC_4691 = 150
  integer, parameter :: nGC_4692 = 151
  integer, parameter :: nGC_4693 = 152
  integer, parameter :: nGC_4694 = 153
  integer, parameter :: nGC_4703 = 154
  integer, parameter :: nGC_4704 = 155
  integer, parameter :: nGC_4722 = 156
  integer, parameter :: nGC_4723 = 157
  integer, parameter :: nGC_4770 = 158
  integer, parameter :: nGC_4778 = 159
  integer, parameter :: nGC_4860 = 160
  integer, parameter :: nGC_4900 = 161
  integer, parameter :: nGC_4908 = 162
  integer, parameter :: nGC_4914 = 163
  integer, parameter :: nGC_4915 = 164
  integer, parameter :: nGC_4913 = 165
  integer, parameter :: nGC_4916 = 166
  integer, parameter :: nGC_4917 = 167
  integer, parameter :: nGC_4918 = 168
  integer, parameter :: nGC_4932 = 169
  integer, parameter :: nGC_4933 = 170
  integer, parameter :: nGC_4934 = 171
  integer, parameter :: nGC_4935 = 172
  integer, parameter :: nGC_4950 = 173
  integer, parameter :: nGC_4951 = 174
  integer, parameter :: nGC_4952 = 175
  integer, parameter :: nGC_4953 = 176
  integer, parameter :: nGC_4963 = 177
  integer, parameter :: nGC_4964 = 178
  integer, parameter :: nGC_4965 = 179
  integer, parameter :: nGC_4966 = 180
  integer, parameter :: nGC_4967 = 181
  integer, parameter :: nGC_4968 = 182
  integer, parameter :: nGC_4993 = 183
  integer, parameter :: nGC_4994 = 184
  integer, parameter :: nGC_4995 = 185
  integer, parameter :: nGC_4996 = 186
  integer, parameter :: nGC_4997 = 187
  integer, parameter :: nGC_4998 = 188
  integer, parameter :: nGC_5079 = 189
  integer, parameter :: nGC_5111 = 190
  integer, parameter :: nGC_5114 = 191
  integer, parameter :: nGC_5117 = 192
  integer, parameter :: nGC_5137 = 193
  integer, parameter :: nGC_5143 = 194
  integer, parameter :: nGC_5149 = 195
  integer, parameter :: nGC_5184 = 196
  integer, parameter :: nGC_5183 = 197
  integer, parameter :: nGC_5185 = 198
  integer, parameter :: nGC_5186 = 199
  integer, parameter :: nGC_5187 = 200
  integer, parameter :: nGC_5188 = 201
  integer, parameter :: nGC_5189 = 202
  integer, parameter :: nGC_5190 = 203
  integer, parameter :: nGC_5193 = 204
  integer, parameter :: nGC_5194 = 205
  integer, parameter :: nGC_5195 = 206
  integer, parameter :: nGC_5196 = 207
  integer, parameter :: nGC_5199 = 208
  integer, parameter :: nGC_5200 = 209
  integer, parameter :: nGC_5201 = 210
  integer, parameter :: nGC_5202 = 211
  integer, parameter :: nGC_5205 = 212
  integer, parameter :: nGC_5206 = 213
  integer, parameter :: nGC_5207 = 214
  integer, parameter :: nGC_5208 = 215
  integer, parameter :: nGC_5215 = 216
  integer, parameter :: nGC_5216 = 217
  integer, parameter :: nGC_5217 = 218
  integer, parameter :: nGC_5218 = 219
  integer, parameter :: nGC_5219 = 220
  integer, parameter :: nGC_5223 = 221
  integer, parameter :: nGC_5222 = 222
  integer, parameter :: nGC_5224 = 223
  integer, parameter :: nGC_5231 = 224
  integer, parameter :: nGC_5230 = 225
  integer, parameter :: nGC_5232 = 226
  integer, parameter :: nGC_5233 = 227
  integer, parameter :: nGC_5234 = 228
  integer, parameter :: nGC_5245 = 229
  integer, parameter :: nGC_5250 = 230
  integer, parameter :: nGC_5786 = 231
  integer, parameter :: nGC_6575 = 232
  integer, parameter :: nGC_3185 = 233
  integer, parameter :: nGC_3186 = 234
  integer, parameter :: nGC_3187 = 235
  integer, parameter :: nGC_3190 = 236
  integer, parameter :: nGC_3188 = 237
  integer, parameter :: nGC_3189 = 238
  integer, parameter :: nGC_3191 = 239
  integer, parameter :: nGC_3194 = 240
  integer, parameter :: nGC_3192 = 241
  integer, parameter :: nGC_3193 = 242
  integer, parameter :: nGC_3195 = 243
  integer, parameter :: nGC_3198 = 244
  integer, parameter :: nGC_3196 = 245
  integer, parameter :: nGC_3197 = 246
  integer, parameter :: nGC_3199 = 247
  integer, parameter :: nGC_3200 = 248
  integer, parameter :: nGC_3201 = 249
  integer, parameter :: nGC_3202 = 250
  integer, parameter :: nGC_3203 = 251
  integer, parameter :: nGC_3204 = 252
  integer, parameter :: nGC_3205 = 253
  integer, parameter :: nGC_3206 = 254
  integer, parameter :: nGC_3207 = 255
  integer, parameter :: nGC_3208 = 256
  integer, parameter :: nGC_3209 = 257
  integer, parameter :: nGC_3210 = 258
  integer, parameter :: nGC_3211 = 259
  integer, parameter :: nGC_3212 = 260
  integer, parameter :: nGC_7749 = 261
  integer, parameter :: nGC_7752 = 262
  integer, parameter :: nGC_3213 = 263
  integer, parameter :: nGC_7763 = 264
  integer, parameter :: nGC_3214 = 265
  integer, parameter :: nGC_3215 = 266
  integer, parameter :: nGC_3216 = 267
  integer, parameter :: nGC_3217 = 268
  integer, parameter :: nGC_3218 = 269
  integer, parameter :: nGC_3219 = 270
  integer, parameter :: nGC_7806 = 271
  integer, parameter :: nGC_3220 = 272
  integer, parameter :: nGC_7809 = 273
  integer, parameter :: nGC_3221 = 274
  integer, parameter :: nGC_7820 = 275
  integer, parameter :: nGC_3222 = 276
  integer, parameter :: nGC_7823 = 277
  integer, parameter :: nGC_3223 = 278
  integer, parameter :: nGC_3224 = 279
  integer, parameter :: nGC_7834 = 280
  integer, parameter :: nGC_7837 = 281
  integer, parameter :: nGC_3225 = 282
  integer, parameter :: nGC_3226 = 283
  integer, parameter :: nGC_3227 = 284
  integer, parameter :: nGC_3228 = 285
  integer, parameter :: nGC_7860 = 286
  integer, parameter :: nGC_7863 = 287
  integer, parameter :: nGC_3229 = 288
  integer, parameter :: nGC_7874 = 289
  integer, parameter :: nGC_3230 = 290
  integer, parameter :: nGC_7877 = 291
  integer, parameter :: nGC_3231 = 292
  integer, parameter :: nGC_3232 = 293
  integer, parameter :: nGC_7903 = 294
  integer, parameter :: nGC_3233 = 295
  integer, parameter :: nGC_7906 = 296
  integer, parameter :: nGC_3234 = 297
  integer, parameter :: nGC_3235 = 298
  integer, parameter :: nGC_3236 = 299
  integer, parameter :: nGC_3237 = 300
  integer, parameter :: nGC_3238 = 301
  integer, parameter :: nGC_3239 = 302
  integer, parameter :: nGC_3240 = 303
  integer, parameter :: nGC_3241 = 304
  integer, parameter :: nGC_3242 = 305
  integer, parameter :: nGC_3243 = 306
  integer, parameter :: nGC_7947 = 307
  integer, parameter :: nGC_3244 = 308
  integer, parameter :: nGC_7954 = 309
  integer, parameter :: nGC_3245 = 310
  integer, parameter :: nGC_7956 = 311
  integer, parameter :: nGC_3246 = 312
  integer, parameter :: nGC_3247 = 313
  integer, parameter :: nGC_3248 = 314
  integer, parameter :: nGC_3249 = 315
  integer, parameter :: nGC_3250 = 316
  integer, parameter :: nGC_3251 = 317
  integer, parameter :: nGC_3252 = 318
  integer, parameter :: nGC_3253 = 319
  integer, parameter :: nGC_3254 = 320
  integer, parameter :: nGC_3255 = 321
  integer, parameter :: nGC_3256 = 322
  integer, parameter :: nGC_3257 = 323
  integer, parameter :: nGC_3258 = 324
  integer, parameter :: nGC_3259 = 325
  integer, parameter :: nGC_3260 = 326
  integer, parameter :: nGC_3261 = 327
  integer, parameter :: nGC_3262 = 328
  integer, parameter :: nGC_3263 = 329
  integer, parameter :: nGC_3264 = 330
  integer, parameter :: nGC_3265 = 331
  integer, parameter :: nGC_3266 = 332
  integer, parameter :: nGC_3267 = 333
  integer, parameter :: nGC_3268 = 334
  integer, parameter :: nGC_3269 = 335
  integer, parameter :: nGC_3270 = 336
  integer, parameter :: nGC_3271 = 337
  integer, parameter :: nGC_3272 = 338
  integer, parameter :: nGC_8174 = 339
  integer, parameter :: nGC_3273 = 340
  integer, parameter :: nGC_3274 = 341
  integer, parameter :: nGC_3275 = 342
  integer, parameter :: nGC_3276 = 343
  integer, parameter :: nGC_8190 = 344
  integer, parameter :: nGC_3091 = 345
  integer, parameter :: nGC_3093 = 346
  integer, parameter :: nGC_3121 = 347
  integer, parameter :: nGC_3122 = 348
  integer, parameter :: nGC_3107 = 349
  integer, parameter :: nGC_3131 = 350
  integer, parameter :: nGC_3130 = 351
  integer, parameter :: nGC_3109 = 352
  integer, parameter :: nGC_3108 = 353
  integer, parameter :: nGC_3103 = 354
  integer, parameter :: nGC_3132 = 355
  integer, parameter :: nGC_3133 = 356
  integer, parameter :: nGC_3137 = 357
  integer, parameter :: nGC_3138 = 358
  integer, parameter :: nGC_3175 = 359
  integer, parameter :: nGC_3177 = 360
  integer, parameter :: nGC_3176 = 361
  integer, parameter :: nGC_3120 = 362
  integer, parameter :: nGC_3119 = 363
  integer, parameter :: nGC_3135 = 364
  integer, parameter :: nGC_3134 = 365
  integer, parameter :: nGC_3139 = 366
  integer, parameter :: nGC_3140 = 367
  integer, parameter :: nGC_3181 = 368
  integer, parameter :: nGC_3182 = 369
  integer, parameter :: nGC_3180 = 370
  integer, parameter :: nGC_3098 = 371
  integer, parameter :: nGC_3095 = 372
  integer, parameter :: nGC_3084 = 373
  integer, parameter :: nGC_3085 = 374
  integer, parameter :: nGC_3083 = 375
  integer, parameter :: nGC_3082 = 376
  integer, parameter :: nGC_3126 = 377
  integer, parameter :: nGC_3125 = 378
  integer, parameter :: nGC_3081 = 379
  integer, parameter :: nGC_3080 = 380
  integer, parameter :: nGC_3114 = 381
  integer, parameter :: nGC_3112 = 382
  integer, parameter :: nGC_3124 = 383
  integer, parameter :: nGC_3110 = 384
  integer, parameter :: nGC_3105 = 385
  integer, parameter :: nGC_3087 = 386
  integer, parameter :: nGC_3086 = 387
  integer, parameter :: nGC_3174 = 388
  integer, parameter :: nGC_3173 = 389
  integer, parameter :: nGC_3160 = 390
  integer, parameter :: nGC_3159 = 391
  integer, parameter :: nGC_3168 = 392
  integer, parameter :: nGC_3167 = 393
  integer, parameter :: nGC_3088 = 394
  integer, parameter :: nGC_3090 = 395
  integer, parameter :: nGC_3078 = 396
  integer, parameter :: nGC_3079 = 397
  integer, parameter :: nGC_3089 = 398
  integer, parameter :: nGC_3183 = 399
  integer, parameter :: nGC_3184 = 400
  integer, parameter :: nGC_3158 = 401
  integer, parameter :: nGC_3157 = 402
  integer, parameter :: nGC_3100 = 403
  integer, parameter :: nGC_3101 = 404
  integer, parameter :: nGC_3099 = 405
  integer, parameter :: nGC_106 = 406
  integer, parameter :: nGC_3117 = 407
  integer, parameter :: nGC_3145 = 408
  integer, parameter :: nGC_3144 = 409
  integer, parameter :: nGC_3165 = 410
  integer, parameter :: nGC_3164 = 411
  integer, parameter :: nGC_3142 = 412
  integer, parameter :: nGC_3143 = 413
  integer, parameter :: nGC_3163 = 414
  integer, parameter :: nGC_3162 = 415
  integer, parameter :: nGC_3172 = 416
  integer, parameter :: nGC_3171 = 417
  integer, parameter :: nGC_3148 = 418
  integer, parameter :: nGC_3147 = 419
  integer, parameter :: nGC_3149 = 420
  integer, parameter :: nGC_3092 = 421
  integer, parameter :: nGC_3115 = 422
  integer, parameter :: nGC_3111 = 423
  integer, parameter :: nGC_3146 = 424
  integer, parameter :: nGC_3136 = 425
  integer, parameter :: nGC_3097 = 426
  integer, parameter :: nGC_3094 = 427
  integer, parameter :: nGC_3113 = 428
  integer, parameter :: nGC_3141 = 429
  integer, parameter :: nGC_3096 = 430
  integer, parameter :: nGC_3123 = 431
  integer, parameter :: nGC_3116 = 432
  integer, parameter :: nGC_3129 = 433
  integer, parameter :: nGC_3127 = 434
  integer, parameter :: nGC_3170 = 435
  integer, parameter :: nGC_3166 = 436
  integer, parameter :: nGC_3118 = 437
  integer, parameter :: nGC_3128 = 438
  integer, parameter :: nGC_3169 = 439
  integer, parameter :: nGC_3178 = 440
  integer, parameter :: nGC_3179 = 441
  integer, parameter :: nGC_3102 = 442
  integer, parameter :: nGC_3104 = 443
  integer, parameter :: nGC_3151 = 444
  integer, parameter :: nGC_3155 = 445
  integer, parameter :: nGC_3161 = 446
  integer, parameter :: nGC_3106 = 447
  integer, parameter :: nGC_3153 = 448
  integer, parameter :: nGC_138 = 449
  integer, parameter :: nGC_142 = 450
  integer, parameter :: nGC_146 = 451
  integer, parameter :: nGC_3277 = 452
  integer, parameter :: nGC_3278 = 453
  integer, parameter :: nGC_3281 = 454
  integer, parameter :: nGC_3282 = 455
  integer, parameter :: nGC_3283 = 456
  integer, parameter :: nGC_3284 = 457
  integer, parameter :: nGC_3286 = 458
  integer, parameter :: nGC_3287 = 459
  integer, parameter :: nGC_3288 = 460
  integer, parameter :: nGC_3289 = 461
  integer, parameter :: nGC_3290 = 462
  integer, parameter :: nGC_3291 = 463
  integer, parameter :: nGC_3292 = 464
  integer, parameter :: nGC_3293 = 465
  integer, parameter :: nGC_3294 = 466
  integer, parameter :: nGC_3295 = 467
  integer, parameter :: nGC_3297 = 468
  integer, parameter :: nGC_3298 = 469
  integer, parameter :: nGC_3300 = 470
  integer, parameter :: nGC_3301 = 471
  integer, parameter :: nGC_3302 = 472
  integer, parameter :: nGC_3303 = 473
  integer, parameter :: nGC_3304 = 474
  integer, parameter :: nGC_3305 = 475
  integer, parameter :: nGC_3306 = 476
  integer, parameter :: nGC_3307 = 477
  integer, parameter :: nGC_3308 = 478
  integer, parameter :: nGC_3309 = 479
  integer, parameter :: nGC_3310 = 480
  integer, parameter :: nGC_3311 = 481
  integer, parameter :: nGC_3312 = 482
  integer, parameter :: nGC_3313 = 483
  integer, parameter :: nGC_3314 = 484
  integer, parameter :: nGC_3315 = 485
  integer, parameter :: nGC_3316 = 486
  integer, parameter :: nGC_3317 = 487
  integer, parameter :: nGC_3318 = 488
  integer, parameter :: nGC_3321 = 489
  integer, parameter :: nGC_3322 = 490
  integer, parameter :: nGC_3323 = 491
  integer, parameter :: nGC_3324 = 492
  integer, parameter :: nGC_3325 = 493
  integer, parameter :: nGC_3326 = 494
  integer, parameter :: nGC_3327 = 495
  integer, parameter :: nGC_3328 = 496
  integer, parameter :: nGC_3333 = 497
  integer, parameter :: nGC_3334 = 498
  integer, parameter :: nGC_3335 = 499
  integer, parameter :: nGC_3336 = 500
  integer, parameter :: nGC_3337 = 501
  integer, parameter :: nGC_3338 = 502
  integer, parameter :: nGC_3339 = 503
  integer, parameter :: nGC_3340 = 504
  integer, parameter :: nGC_3341 = 505
  integer, parameter :: nGC_3342 = 506
  integer, parameter :: nGC_3343 = 507
  integer, parameter :: nGC_3347 = 508
  integer, parameter :: nGC_3348 = 509
  integer, parameter :: nGC_3349 = 510
  integer, parameter :: nGC_3350 = 511
  integer, parameter :: nGC_3351 = 512
  integer, parameter :: nGC_3352 = 513
  integer, parameter :: nGC_3353 = 514
  integer, parameter :: nGC_3354 = 515
  integer, parameter :: nGC_3355 = 516
  integer, parameter :: nGC_3356 = 517
  integer, parameter :: nGC_3357 = 518
  integer, parameter :: nGC_3358 = 519
  integer, parameter :: nGC_3359 = 520
  integer, parameter :: nGC_3360 = 521
  integer, parameter :: nGC_3361 = 522
  integer, parameter :: nGC_3362 = 523
  integer, parameter :: nGC_3363 = 524
  integer, parameter :: nGC_3364 = 525
  integer, parameter :: nGC_3379 = 526
  integer, parameter :: nGC_3380 = 527
  integer, parameter :: nGC_3381 = 528
  integer, parameter :: nGC_4625 = 529
  integer, parameter :: nGC_4630 = 530
  integer, parameter :: nGC_4631 = 531
  integer, parameter :: nGC_4634 = 532
  integer, parameter :: nGC_4635 = 533
  integer, parameter :: nGC_4650 = 534
  integer, parameter :: nGC_4660 = 535
  integer, parameter :: nGC_4661 = 536
  integer, parameter :: nGC_4662 = 537
  integer, parameter :: nGC_4670 = 538
  integer, parameter :: nGC_4671 = 539
  integer, parameter :: nGC_4679 = 540
  integer, parameter :: nGC_4680 = 541
  integer, parameter :: nGC_4681 = 542
  integer, parameter :: nGC_4700 = 543
  integer, parameter :: nGC_4708 = 544
  integer, parameter :: nGC_4709 = 545
  integer, parameter :: nGC_4713 = 546
  integer, parameter :: nGC_4714 = 547
  integer, parameter :: nGC_4727 = 548
  integer, parameter :: nGC_4728 = 549
  integer, parameter :: nGC_4732 = 550
  integer, parameter :: nGC_4733 = 551
  integer, parameter :: nGC_4742 = 552
  integer, parameter :: nGC_4745 = 553
  integer, parameter :: nGC_4746 = 554
  integer, parameter :: nGC_4754 = 555
  integer, parameter :: nGC_4759 = 556
  integer, parameter :: nGC_4762 = 557
  integer, parameter :: nGC_4767 = 558
  integer, parameter :: nGC_4775 = 559
  integer, parameter :: nGC_4782 = 560
  integer, parameter :: nGC_4786 = 561
  integer, parameter :: nGC_4790 = 562
  integer, parameter :: nGC_4794 = 563
  integer, parameter :: nGC_4798 = 564
  integer, parameter :: nGC_4802 = 565
  integer, parameter :: nGC_4806 = 566
  integer, parameter :: nGC_4809 = 567
  integer, parameter :: nGC_4812 = 568
  integer, parameter :: nGC_4816 = 569
  integer, parameter :: nGC_4820 = 570
  integer, parameter :: nGC_4837 = 571
  integer, parameter :: nGC_4840 = 572
  integer, parameter :: nGC_4845 = 573
  integer, parameter :: nGC_4848 = 574
  integer, parameter :: nGC_4856 = 575
  integer, parameter :: nGC_4859 = 576
  integer, parameter :: nGC_4899 = 577
  integer, parameter :: nGC_4903 = 578
  integer, parameter :: nGC_4907 = 579
  integer, parameter :: nGC_4923 = 580
  integer, parameter :: nGC_4924 = 581
  integer, parameter :: nGC_4925 = 582
  integer, parameter :: nGC_4926 = 583
  integer, parameter :: nGC_4941 = 584
  integer, parameter :: nGC_4942 = 585
  integer, parameter :: nGC_4943 = 586
  integer, parameter :: nGC_4944 = 587
  integer, parameter :: nGC_4959 = 588
  integer, parameter :: nGC_4960 = 589
  integer, parameter :: nGC_4961 = 590
  integer, parameter :: nGC_4962 = 591
  integer, parameter :: nGC_4973 = 592
  integer, parameter :: nGC_4974 = 593
  integer, parameter :: nGC_4975 = 594
  integer, parameter :: nGC_4976 = 595
  integer, parameter :: nGC_5003 = 596
  integer, parameter :: nGC_5004 = 597
  integer, parameter :: nGC_5005 = 598
  integer, parameter :: nGC_5006 = 599
  integer, parameter :: nGC_5025 = 600
  integer, parameter :: nGC_5050 = 601
  integer, parameter :: nGC_5063 = 602
  integer, parameter :: nGC_5066 = 603
  integer, parameter :: nGC_5069 = 604
  integer, parameter :: nGC_5078 = 605
  integer, parameter :: nGC_5082 = 606
  integer, parameter :: nGC_5086 = 607
  integer, parameter :: nGC_5102 = 608
  integer, parameter :: nGC_5105 = 609
  integer, parameter :: nGC_5108 = 610
  integer, parameter :: nGC_5122 = 611
  integer, parameter :: nGC_5123 = 612
  integer, parameter :: nGC_5128 = 613
  integer, parameter :: nGC_5129 = 614
  integer, parameter :: nGC_5134 = 615
  integer, parameter :: nGC_5135 = 616
  integer, parameter :: nGC_5140 = 617
  integer, parameter :: nGC_5141 = 618
  integer, parameter :: nGC_5146 = 619
  integer, parameter :: nGC_5147 = 620
  integer, parameter :: nGC_5152 = 621
  integer, parameter :: nGC_5153 = 622
  integer, parameter :: nGC_5168 = 623
  integer, parameter :: nGC_5171 = 624
  integer, parameter :: nGC_5174 = 625
  integer, parameter :: nGC_5238 = 626
  integer, parameter :: nGC_5241 = 627
  integer, parameter :: nGC_5244 = 628
  integer, parameter :: nGC_5258 = 629
  integer, parameter :: nGC_5798 = 630
  integer, parameter :: nGC_6101 = 631
  integer, parameter :: nGC_6112 = 632
  integer, parameter :: nGC_6421 = 633
  integer, parameter :: nGC_6567 = 634
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
