!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 15:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_10) = -gs
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_25) = cima*cw*ee/sw
    coupl(nGC_18) = -cima*ee**2d0/sw**2d0
    coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_16) = cMW*cima*ee
    coupl(nGC_30) = -cMW*ee/(2d0*sw)
    coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_24) = -cima*cw*ee/sw
    coupl(nGC_32) = cMW*ee/(2d0*sw)
    coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
    coupl(nGC_15) = -3d0*cima*lam/2d0
    coupl(nGC_13) = -cima*lam/2d0
    coupl(nGC_14) = -cima*lam
    coupl(nGC_48) = -cima*lam*vev/2d0
    coupl(nGC_49) = -3d0*cima*lam*vev/2d0
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_28) = ee**2d0/(2d0*sw)
    coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_22) = ee/(2d0*sw)
    coupl(nGC_21) = cima*ee/(2d0*sw)
    coupl(nGC_26) = -ee**2d0/(2d0*sw)
    coupl(nGC_20) = -cima*ee/(2d0*sw)
    coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_9) = ee**2d0/(2d0*cw)
    coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev  &
                     + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_34) = cima*ee*sw/(3d0*cw)
    coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_41) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_36) = cima*ee*sw/cw
    coupl(nGC_85) = cima*yup
    coupl(nGC_61) = -cima*ydo
    coupl(nGC_57) = cima*yc
    coupl(nGC_73) = -cima*ys
    coupl(nGC_77) = sqrt(2d0)*cima*gt*ymt/vev
    coupl(nGC_53) = -cima*gt*yb
    coupl(nGC_64) = sqrt(2d0)*ydo/2d0
    coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_76) = sqrt(2d0)*ys/2d0
    coupl(nGC_74) = -sqrt(2d0)*ys/2d0
    coupl(nGC_56) = sqrt(2d0)*gt*yb/2d0
    coupl(nGC_54) = -sqrt(2d0)*gt*yb/2d0
    coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_55) = -sqrt(2d0)*cima*gt*yb/2d0
    coupl(nGC_65) = -cima*ye
    coupl(nGC_69) = -cima*ym
    coupl(nGC_81) = -cima*ytau
    coupl(nGC_68) = sqrt(2d0)*ye/2d0
    coupl(nGC_66) = -sqrt(2d0)*ye/2d0
    coupl(nGC_72) = sqrt(2d0)*ym/2d0
    coupl(nGC_70) = -sqrt(2d0)*ym/2d0
    coupl(nGC_84) = sqrt(2d0)*ytau/2d0
    coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_86) = -sqrt(2d0)*yup/2d0
    coupl(nGC_88) = sqrt(2d0)*yup/2d0
    coupl(nGC_58) = -sqrt(2d0)*yc/2d0
    coupl(nGC_60) = sqrt(2d0)*yc/2d0
    coupl(nGC_78) = -gt*ymt/vev
    coupl(nGC_80) = gt*ymt/vev
    coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_79) = -cima*gt*ymt/vev
    coupl(nGC_MH) = -cMH**2d0*cima
    coupl(nGC_I) = cima
    coupl(nGC_MI) = -cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_156) = -2d0*coupl(nGC_12)
    coupl(nGC_160) = 2d0*coupl(nGC_12)
    coupl(nGC_162) = -coupl(nGC_12)
    coupl(nGC_176) = -2d0*coupl(nGC_5)
    coupl(nGC_182) = -2d0*coupl(nGC_18)
    coupl(nGC_186) = -coupl(nGC_29)/2d0
    coupl(nGC_190) = -2d0*coupl(nGC_19)
    coupl(nGC_194) = -coupl(nGC_4)
    coupl(nGC_198) = -coupl(nGC_3)
    coupl(nGC_212) = -coupl(nGC_25)
    coupl(nGC_218) = -coupl(nGC_24)
    coupl(nGC_248) = -coupl(nGC_10)
    coupl(nGC_1110) = -coupl(nGC_22)
    coupl(nGC_1122) = -coupl(nGC_21)
    coupl(nGC_1246) = -coupl(nGC_20)
    coupl(nGC_1406) = -coupl(nGC_37)
    coupl(nGC_1418) = -coupl(nGC_40)
    coupl(nGC_3091) = -gs
    coupl(nGC_3093) = 2d0*cima*gs**2d0
    coupl(nGC_3098) = -3d0*cima/2d0
    coupl(nGC_3095) = -cima/2d0
    coupl(nGC_3084) = -cima*vev/2d0
    coupl(nGC_3085) = -cima*lam/2d0
    coupl(nGC_3083) = -3d0*cima*lam/2d0
    coupl(nGC_3082) = -3d0*cima*vev/2d0
    coupl(nGC_3080) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_3086) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3078) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_3099) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_106) = cima*gs
    coupl(nGC_3149) = -sqrt(2d0)*cima*gt*ymt/vev**2d0
    coupl(nGC_3092) = -cima*gt
    coupl(nGC_3115) = sqrt(2d0)/2d0
    coupl(nGC_3111) = -sqrt(2d0)/2d0
    coupl(nGC_3146) = sqrt(2d0)/2d0
    coupl(nGC_3136) = -sqrt(2d0)/2d0
    coupl(nGC_3097) = sqrt(2d0)*gt/2d0
    coupl(nGC_3094) = -sqrt(2d0)*gt/2d0
    coupl(nGC_3113) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3141) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3096) = -sqrt(2d0)*cima*gt/2d0
    coupl(nGC_3123) = sqrt(2d0)/2d0
    coupl(nGC_3116) = -sqrt(2d0)/2d0
    coupl(nGC_3129) = sqrt(2d0)/2d0
    coupl(nGC_3127) = -sqrt(2d0)/2d0
    coupl(nGC_3170) = sqrt(2d0)/2d0
    coupl(nGC_3166) = -sqrt(2d0)/2d0
    coupl(nGC_3118) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3128) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3169) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3178) = -sqrt(2d0)/2d0
    coupl(nGC_3179) = sqrt(2d0)/2d0
    coupl(nGC_3102) = -sqrt(2d0)/2d0
    coupl(nGC_3104) = sqrt(2d0)/2d0
    coupl(nGC_3151) = gt*ymt/vev**2d0
    coupl(nGC_3155) = -gt*ymt/vev**2d0
    coupl(nGC_3161) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3106) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3153) = cima*gt*ymt/vev**2d0
  end subroutine fill_couplings_mdl1
end module fill_couplings1
