!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 15:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3296) = -cima*dlam_QED2
    coupl(nGC_3329) = cima*dyup_QED1
    coupl(nGC_3330) = -cima*dydo_QED1
    coupl(nGC_3331) = cima*dyc_QED1
    coupl(nGC_3332) = -cima*dys_QED1
    coupl(nGC_3344) = -cima*dye_QED1
    coupl(nGC_3345) = -cima*dym_QED1
    coupl(nGC_3346) = -cima*dytau_QED1
    coupl(nGC_3365) = -cima*dMH2
    coupl(nGC_3368) = -cima*dME
    coupl(nGC_3369) = -cima*dMM
    coupl(nGC_3370) = -cima*dMTA
    coupl(nGC_3371) = 0d0
    coupl(nGC_3372) = 0d0
    coupl(nGC_3373) = 0d0
    coupl(nGC_3374) = 0d0
    coupl(nGC_3375) = 0d0
    coupl(nGC_3376) = 0d0
    coupl(nGC_3377) = cima*dMZ2
    coupl(nGC_3378) = cima*dMW2
    coupl(nGC_4646) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus
    coupl(nGC_4651) = coupl(nGC_5)*(dZA + dZWMinus)
    coupl(nGC_4652) = coupl(nGC_29)*dZZA
    coupl(nGC_4653) = coupl(nGC_4651) - coupl(nGC_4652)/2d0
    coupl(nGC_4654) = -2d0*coupl(nGC_4651) + coupl(nGC_4652)
    coupl(nGC_4659) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_4676) = coupl(nGC_29)*dZAZ
    coupl(nGC_4691) = coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_4692) = -coupl(nGC_4691)
    coupl(nGC_4693) = coupl(nGC_3)*dZWMinus/2d0
    coupl(nGC_4694) = -coupl(nGC_4693)
    coupl(nGC_4703) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0
    coupl(nGC_4704) = -coupl(nGC_4703)
    coupl(nGC_4722) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_4)*dZA/2d0
    coupl(nGC_4723) = -coupl(nGC_4722)
    coupl(nGC_4770) = coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_4778) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_4860) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_4900) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_4908) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_4914) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_4915) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_4913) = coupl(nGC_4)*dZA/2d0
    coupl(nGC_4916) = coupl(nGC_4913) + coupl(nGC_4915)
    coupl(nGC_4917) = coupl(nGC_4913) + coupl(nGC_4914)
    coupl(nGC_4918) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_4932) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_4933) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_4934) = coupl(nGC_4913) + coupl(nGC_4933)
    coupl(nGC_4935) = coupl(nGC_4913) + coupl(nGC_4932)
    coupl(nGC_4950) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_4951) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_4952) = coupl(nGC_4913) + coupl(nGC_4951)
    coupl(nGC_4953) = coupl(nGC_4913) + coupl(nGC_4950)
    coupl(nGC_4963) = coupl(nGC_2)*dZA/2d0
    coupl(nGC_4964) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_4965) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_4966) = coupl(nGC_4963) + coupl(nGC_4964)
    coupl(nGC_4967) = coupl(nGC_4963) + coupl(nGC_4965)
    coupl(nGC_4968) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_4993) = coupl(nGC_1)*dZA/2d0
    coupl(nGC_4994) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_4995) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_4996) = coupl(nGC_4993) + coupl(nGC_4994)
    coupl(nGC_4997) = coupl(nGC_4993) + coupl(nGC_4995)
    coupl(nGC_4998) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_5079) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_5111) = coupl(nGC_3344) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_5114) = coupl(nGC_3345) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5117) = coupl(nGC_3346) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_5137) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5143) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5149) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5184) = coupl(nGC_3365) + coupl(nGC_MH)*dZH
    coupl(nGC_5183) = coupl(nGC_I)*dZH
    coupl(nGC_5185) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5186) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5187) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_5188) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5189) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5190) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_5193) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5194) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_5195) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_5196) = coupl(nGC_3368) + coupl(nGC_5193)
    coupl(nGC_5199) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5200) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_5201) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5202) = coupl(nGC_3369) + coupl(nGC_5199)
    coupl(nGC_5205) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5206) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_5207) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_5208) = coupl(nGC_3370) + coupl(nGC_5205)
    coupl(nGC_5215) = coupl(nGC_MI)*dZA
    coupl(nGC_5216) = -coupl(nGC_5215)
    coupl(nGC_5217) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_5218) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_5219) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_5223) = coupl(nGC_3377) + coupl(nGC_MZ)*dZZ
    coupl(nGC_5222) = coupl(nGC_MI)*dZZ
    coupl(nGC_5224) = -coupl(nGC_5222)
    coupl(nGC_5231) = coupl(nGC_3378) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_5230) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_5232) = -coupl(nGC_5230)
    coupl(nGC_5233) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5234) = -coupl(nGC_5233)
    coupl(nGC_5245) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_5250) = -coupl(nGC_4646)
    coupl(nGC_5786) = -coupl(nGC_4778)
    coupl(nGC_6575) = -coupl(nGC_4860)
    coupl(nGC_3185) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl( &
                      nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**2d0&
                      *coupl(nGC_1)**2d0 + Nc*cMT**2d0*coupl(nGC_2)**2d0 + Nc* &
                      cMU**2d0*coupl(nGC_2)**2d0 + cME**2d0*coupl(nGC_4)**2d0  &
                       + cMM**2d0*coupl(nGC_4)**2d0 + cMTA**2d0*coupl(nGC_4)** &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3186) = cima*(-Nc*coupl(nGC_1)**2d0 - Nc*coupl(nGC_2)**2d0 -     &
                      coupl(nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3187) = Nc*cima*(-cMB**2d0*coupl(nGC_54)*coupl(nGC_56) - cMT**2d0&
                      *coupl(nGC_78)*coupl(nGC_80))/(4d0*pi**2d0)
    coupl(nGC_3190) = Nc*cima*(coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_78)*    &
                      coupl(nGC_80))/(24d0*pi**2d0)
    coupl(nGC_3188) = cima*(-Nc*cMC**2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**&
                      2d0*coupl(nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(     &
                      nGC_74)*coupl(nGC_76) - Nc*cMU**2d0*coupl(nGC_86)*coupl( &
                      nGC_88) - cME**2d0*coupl(nGC_66)*coupl(nGC_68) - cMM**2d0&
                      *coupl(nGC_70)*coupl(nGC_72) - cMTA**2d0*coupl(nGC_82)*  &
                      coupl(nGC_84))/(4d0*pi**2d0)
    coupl(nGC_3189) = cima*(Nc*coupl(nGC_58)*coupl(nGC_60) + Nc*coupl(nGC_62)* &
                      coupl(nGC_64) + Nc*coupl(nGC_74)*coupl(nGC_76) + Nc*coupl&
                      (nGC_86)*coupl(nGC_88) + coupl(nGC_66)*coupl(nGC_68) +   &
                      coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_82)*coupl(nGC_84 &
                      ))/(24d0*pi**2d0)
    coupl(nGC_3191) = Nc*cima*(-cMB**2d0*coupl(nGC_55)**2d0 - cMT**2d0*coupl(  &
                      nGC_79)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3194) = Nc*cima*(coupl(nGC_55)**2d0 + coupl(nGC_79)**2d0)/(24d0* &
                      pi**2d0)
    coupl(nGC_3192) = cima*(-Nc*cMC**2d0*coupl(nGC_59)**2d0 - Nc*cMD**2d0*coupl&
                      (nGC_63)**2d0 - Nc*cMS**2d0*coupl(nGC_75)**2d0 - Nc*cMU**&
                      2d0*coupl(nGC_87)**2d0 - cME**2d0*coupl(nGC_67)**2d0 -   &
                      cMM**2d0*coupl(nGC_71)**2d0 - cMTA**2d0*coupl(nGC_83)**  &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3193) = cima*(Nc*coupl(nGC_59)**2d0 + Nc*coupl(nGC_63)**2d0 + Nc*&
                      coupl(nGC_75)**2d0 + Nc*coupl(nGC_87)**2d0 + coupl(nGC_67&
                      )**2d0 + coupl(nGC_71)**2d0 + coupl(nGC_83)**2d0)/(24d0* &
                      pi**2d0)
    coupl(nGC_3195) = Nc*cima*(-cMB**2d0*coupl(nGC_53)**2d0 - cMB**2d0*coupl(  &
                      nGC_77)**2d0 - cMT**2d0*coupl(nGC_53)**2d0 - cMT**2d0*   &
                      coupl(nGC_77)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3198) = Nc*cima*(coupl(nGC_53)**2d0 + coupl(nGC_77)**2d0)/(48d0* &
                      pi**2d0)
    coupl(nGC_3196) = cima*(-Nc*cMC**2d0*coupl(nGC_57)**2d0 - Nc*cMC**2d0*coupl&
                      (nGC_73)**2d0 - Nc*cMD**2d0*coupl(nGC_61)**2d0 - Nc*cMD**&
                      2d0*coupl(nGC_85)**2d0 - Nc*cMS**2d0*coupl(nGC_57)**2d0  &
                       - Nc*cMS**2d0*coupl(nGC_73)**2d0 - Nc*cMU**2d0*coupl(   &
                      nGC_61)**2d0 - Nc*cMU**2d0*coupl(nGC_85)**2d0 - cME**2d0*&
                      coupl(nGC_65)**2d0 - cMM**2d0*coupl(nGC_69)**2d0 - cMTA**&
                      2d0*coupl(nGC_81)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3197) = cima*(Nc*coupl(nGC_57)**2d0 + Nc*coupl(nGC_61)**2d0 + Nc*&
                      coupl(nGC_73)**2d0 + Nc*coupl(nGC_85)**2d0 + coupl(nGC_65&
                      )**2d0 + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0)/(48d0* &
                      pi**2d0)
    coupl(nGC_3199) = cima*coupl(nGC_23)**2d0*(Nc*cMB**2d0 + Nc*cMC**2d0 + Nc* &
                      cMD**2d0 + Nc*cMS**2d0 + Nc*cMT**2d0 + Nc*cMU**2d0 + cME &
                      **2d0 + cMM**2d0 + cMTA**2d0)/(16d0*pi**2d0)
    coupl(nGC_3200) = cima*coupl(nGC_23)**2d0*(-Nc - 1d0)/(16d0*pi**2d0)
    coupl(nGC_3201) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**  &
                      2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(nGC_2 &
                      )*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39  &
                      ) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMD**2d0*&
                      coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl(nGC_1)*   &
                      coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38) + &
                      Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc*cMT**2d0*    &
                      coupl(nGC_2)*coupl(nGC_39) + Nc*cMU**2d0*coupl(nGC_2)*   &
                      coupl(nGC_35) + Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_39) + &
                      cME**2d0*coupl(nGC_36)*coupl(nGC_4) + cME**2d0*coupl(    &
                      nGC_4)*coupl(nGC_40) + cMM**2d0*coupl(nGC_36)*coupl(nGC_4&
                      ) + cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + cMTA**2d0*coupl&
                      (nGC_36)*coupl(nGC_4) + cMTA**2d0*coupl(nGC_4)*coupl(    &
                      nGC_40))/(8d0*pi**2d0)
    coupl(nGC_3202) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34) - Nc*coupl(nGC_1)*  &
                      coupl(nGC_38) - Nc*coupl(nGC_2)*coupl(nGC_35) - Nc*coupl(&
                      nGC_2)*coupl(nGC_39) - coupl(nGC_36)*coupl(nGC_4) - coupl&
                      (nGC_4)*coupl(nGC_40))/(16d0*pi**2d0)
    coupl(nGC_3203) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*coupl(&
                      nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 + Nc*cMC** &
                      2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(nGC_34)**2d0  &
                       + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS**2d0*coupl(   &
                      nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)**2d0 + Nc*cMT** &
                      2d0*coupl(nGC_35)**2d0 + Nc*cMT**2d0*coupl(nGC_39)**2d0  &
                       + Nc*cMU**2d0*coupl(nGC_35)**2d0 + Nc*cMU**2d0*coupl(   &
                      nGC_39)**2d0 + cME**2d0*coupl(nGC_36)**2d0 + cME**2d0*   &
                      coupl(nGC_40)**2d0 + cMM**2d0*coupl(nGC_36)**2d0 + cMM** &
                      2d0*coupl(nGC_40)**2d0 + cMTA**2d0*coupl(nGC_36)**2d0 +  &
                      cMTA**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3204) = cima*(-Nc*coupl(nGC_34)**2d0 - Nc*coupl(nGC_35)**2d0 - Nc&
                      *coupl(nGC_38)**2d0 - Nc*coupl(nGC_39)**2d0 - coupl(     &
                      nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(nGC_41)**2d0)/(&
                      16d0*pi**2d0)
    coupl(nGC_3205) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3206) = -cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0)
    coupl(nGC_3207) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_3208) = cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0*Nc)
    coupl(nGC_3209) = Nc*coupl(nGC_23)*(-cMC*coupl(nGC_1)*coupl(nGC_57) - cMD* &
                      coupl(nGC_2)*coupl(nGC_61) - cMS*coupl(nGC_2)*coupl(     &
                      nGC_73) - cMU*coupl(nGC_1)*coupl(nGC_85))/(16d0*pi**2d0)
    coupl(nGC_3210) = Nc*coupl(nGC_23)*(-cMB*coupl(nGC_2)*coupl(nGC_53) - cMT* &
                      coupl(nGC_1)*coupl(nGC_77))/(16d0*pi**2d0)
    coupl(nGC_3211) = (Nc*coupl(nGC_1)*coupl(nGC_57)**2d0 + Nc*coupl(nGC_1)*   &
                      coupl(nGC_61)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_73)**2d0  &
                       + Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 - Nc*coupl(nGC_2)* &
                      coupl(nGC_57)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_61)**2d0  &
                       - Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - Nc*coupl(nGC_2)* &
                      coupl(nGC_85)**2d0 + coupl(nGC_4)*coupl(nGC_65)**2d0 +   &
                      coupl(nGC_4)*coupl(nGC_69)**2d0 + coupl(nGC_4)*coupl(    &
                      nGC_81)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3212) = Nc*(-coupl(nGC_1)*coupl(nGC_53)**2d0 - coupl(nGC_1)*coupl&
                      (nGC_77)**2d0 + coupl(nGC_2)*coupl(nGC_53)**2d0 + coupl( &
                      nGC_2)*coupl(nGC_77)**2d0)/(24d0*pi**2d0)
    coupl(nGC_7749) = -coupl(nGC_3212)
    coupl(nGC_7752) = -coupl(nGC_3211)
    coupl(nGC_3213) = coupl(nGC_23)**2d0*(-Nc*coupl(nGC_1) + Nc*coupl(nGC_2) - &
                      coupl(nGC_4))/(8d0*pi**2d0)
    coupl(nGC_7763) = -coupl(nGC_3213)
    coupl(nGC_3214) = Nc*(-cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - cMB* &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - cMT*coupl(    &
                      nGC_2)*coupl(nGC_35)*coupl(nGC_79) - cMT*coupl(nGC_2)*   &
                      coupl(nGC_39)*coupl(nGC_79))/(8d0*pi**2d0)
    coupl(nGC_3215) = (-Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*  &
                      cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*   &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl( &
                      nGC_1)*coupl(nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*&
                      coupl(nGC_34)*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl( &
                      nGC_38)*coupl(nGC_75) - Nc*cMU*coupl(nGC_2)*coupl(nGC_35 &
                      )*coupl(nGC_87) - Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl&
                      (nGC_87) - cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67   &
                      ) - cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - cMM*  &
                      coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - cMM*coupl(    &
                      nGC_4)*coupl(nGC_40)*coupl(nGC_71) - cMTA*coupl(nGC_36)* &
                      coupl(nGC_4)*coupl(nGC_83) - cMTA*coupl(nGC_4)*coupl(    &
                      nGC_40)*coupl(nGC_83))/(8d0*pi**2d0)
    coupl(nGC_3216) = Nc*(-cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - cMT*coupl(    &
                      nGC_2)**2d0*coupl(nGC_79))/(4d0*pi**2d0)
    coupl(nGC_3217) = (-Nc*cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl( &
                      nGC_1)**2d0*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*    &
                      coupl(nGC_75) - Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - &
                      cME*coupl(nGC_4)**2d0*coupl(nGC_67) - cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - cMTA*coupl(nGC_4)**2d0*coupl(nGC_83  &
                      ))/(4d0*pi**2d0)
    coupl(nGC_3218) = (Nc*cMC*coupl(nGC_57)**2d0*coupl(nGC_59) + Nc*cMC*coupl( &
                      nGC_57)*coupl(nGC_73)*coupl(nGC_75) + Nc*cMC*coupl(nGC_59&
                      )*coupl(nGC_73)**2d0 + Nc*cMD*coupl(nGC_61)**2d0*coupl(  &
                      nGC_63) + Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87&
                      ) + Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 + Nc*cMS*    &
                      coupl(nGC_57)**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_57)* &
                      coupl(nGC_59)*coupl(nGC_73) + Nc*cMS*coupl(nGC_73)**2d0* &
                      coupl(nGC_75) + Nc*cMU*coupl(nGC_61)**2d0*coupl(nGC_87   &
                      ) + Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) + Nc&
                      *cMU*coupl(nGC_85)**2d0*coupl(nGC_87) + cME*coupl(nGC_65 &
                      )**2d0*coupl(nGC_67) + cMM*coupl(nGC_69)**2d0*coupl(     &
                      nGC_71) + cMTA*coupl(nGC_81)**2d0*coupl(nGC_83))/(8d0*pi &
                      **2d0)
    coupl(nGC_3219) = (Nc*coupl(nGC_34)*coupl(nGC_61)**2d0 + Nc*coupl(nGC_34)* &
                      coupl(nGC_73)**2d0 - Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 &
                       - Nc*coupl(nGC_35)*coupl(nGC_85)**2d0 + Nc*coupl(nGC_38 &
                      )*coupl(nGC_57)**2d0 + Nc*coupl(nGC_38)*coupl(nGC_85)**  &
                      2d0 - Nc*coupl(nGC_39)*coupl(nGC_61)**2d0 - Nc*coupl(    &
                      nGC_39)*coupl(nGC_73)**2d0 + coupl(nGC_36)*coupl(nGC_65  &
                      )**2d0 + coupl(nGC_36)*coupl(nGC_69)**2d0 + coupl(nGC_36 &
                      )*coupl(nGC_81)**2d0 - coupl(nGC_41)*coupl(nGC_65)**2d0  &
                       - coupl(nGC_41)*coupl(nGC_69)**2d0 - coupl(nGC_41)*coupl&
                      (nGC_81)**2d0)/(24d0*pi**2d0)
    coupl(nGC_7806) = -coupl(nGC_3219)
    coupl(nGC_3220) = Nc*(-coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35)*   &
                      coupl(nGC_77)**2d0 - coupl(nGC_38)*coupl(nGC_77)**2d0 +  &
                      coupl(nGC_39)*coupl(nGC_53)**2d0)/(24d0*pi**2d0)
    coupl(nGC_7809) = -coupl(nGC_3220)
    coupl(nGC_3221) = coupl(nGC_23)*(Nc*coupl(nGC_57)*coupl(nGC_58) - Nc*coupl(&
                      nGC_61)*coupl(nGC_62) - Nc*coupl(nGC_73)*coupl(nGC_74) + &
                      Nc*coupl(nGC_85)*coupl(nGC_86) - coupl(nGC_65)*coupl(    &
                      nGC_66) - coupl(nGC_69)*coupl(nGC_70) - coupl(nGC_81)*   &
                      coupl(nGC_82))/(24d0*pi**2d0)
    coupl(nGC_7820) = -coupl(nGC_3221)
    coupl(nGC_3222) = Nc*coupl(nGC_23)*(coupl(nGC_53)*coupl(nGC_54) - coupl(   &
                      nGC_77)*coupl(nGC_78))/(24d0*pi**2d0)
    coupl(nGC_7823) = -coupl(nGC_3222)
    coupl(nGC_3223) = coupl(nGC_23)*(Nc*coupl(nGC_57)*coupl(nGC_59) - Nc*coupl(&
                      nGC_61)*coupl(nGC_63) - Nc*coupl(nGC_73)*coupl(nGC_75) + &
                      Nc*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_65)*coupl(    &
                      nGC_67) - coupl(nGC_69)*coupl(nGC_71) - coupl(nGC_81)*   &
                      coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_3224) = Nc*coupl(nGC_23)*(coupl(nGC_53)*coupl(nGC_55) - coupl(   &
                      nGC_77)*coupl(nGC_79))/(24d0*pi**2d0)
    coupl(nGC_7834) = -coupl(nGC_3224)
    coupl(nGC_7837) = -coupl(nGC_3223)
    coupl(nGC_3225) = Nc*coupl(nGC_23)*(cMB*coupl(nGC_34)*coupl(nGC_53) - cMB* &
                      coupl(nGC_38)*coupl(nGC_53) - cMB*coupl(nGC_39)*coupl(   &
                      nGC_53) + cMT*coupl(nGC_35)*coupl(nGC_77) - cMT*coupl(   &
                      nGC_38)*coupl(nGC_77) - cMT*coupl(nGC_39)*coupl(nGC_77   &
                      ))/(16d0*pi**2d0)
    coupl(nGC_3226) = coupl(nGC_23)*(Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc*  &
                      cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39)*  &
                      coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - Nc* &
                      cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(nGC_39)*  &
                      coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(nGC_73) - Nc* &
                      cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS*coupl(nGC_39)*  &
                      coupl(nGC_73) + Nc*cMU*coupl(nGC_35)*coupl(nGC_85) - Nc* &
                      cMU*coupl(nGC_38)*coupl(nGC_85) - Nc*cMU*coupl(nGC_39)*  &
                      coupl(nGC_85) + cME*coupl(nGC_36)*coupl(nGC_65) - cME*   &
                      coupl(nGC_40)*coupl(nGC_65) - cME*coupl(nGC_41)*coupl(   &
                      nGC_65) + cMM*coupl(nGC_36)*coupl(nGC_69) - cMM*coupl(   &
                      nGC_40)*coupl(nGC_69) - cMM*coupl(nGC_41)*coupl(nGC_69   &
                      ) + cMTA*coupl(nGC_36)*coupl(nGC_81) - cMTA*coupl(nGC_40 &
                      )*coupl(nGC_81) - cMTA*coupl(nGC_41)*coupl(nGC_81))/(16d0&
                      *pi**2d0)
    coupl(nGC_3227) = coupl(nGC_23)*(-Nc*coupl(nGC_57)*coupl(nGC_60) + Nc*coupl&
                      (nGC_61)*coupl(nGC_64) + Nc*coupl(nGC_73)*coupl(nGC_76   &
                      ) - Nc*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_65)*coupl(&
                      nGC_68) + coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_81)*   &
                      coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_3228) = Nc*coupl(nGC_23)*(-coupl(nGC_53)*coupl(nGC_56) + coupl(  &
                      nGC_77)*coupl(nGC_80))/(24d0*pi**2d0)
    coupl(nGC_7860) = -coupl(nGC_3228)
    coupl(nGC_7863) = -coupl(nGC_3227)
    coupl(nGC_3229) = coupl(nGC_23)*(-Nc*coupl(nGC_57)*coupl(nGC_59) + Nc*coupl&
                      (nGC_61)*coupl(nGC_63) + Nc*coupl(nGC_73)*coupl(nGC_75   &
                      ) - Nc*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_65)*coupl(&
                      nGC_67) + coupl(nGC_69)*coupl(nGC_71) + coupl(nGC_81)*   &
                      coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_7874) = -coupl(nGC_3229)
    coupl(nGC_3230) = Nc*coupl(nGC_23)*(-coupl(nGC_53)*coupl(nGC_55) + coupl(  &
                      nGC_77)*coupl(nGC_79))/(24d0*pi**2d0)
    coupl(nGC_7877) = -coupl(nGC_3230)
    coupl(nGC_3231) = (Nc*cMC*coupl(nGC_58)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*   &
                      coupl(nGC_58)*coupl(nGC_59)*coupl(nGC_60) + Nc*cMC*coupl(&
                      nGC_59)*coupl(nGC_60)**2d0 + Nc*cMD*coupl(nGC_62)**2d0*  &
                      coupl(nGC_63) + 4d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*  &
                      coupl(nGC_64) + Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0  &
                       + Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 4d0*Nc*cMS* &
                      coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + Nc*cMS*coupl(&
                      nGC_75)*coupl(nGC_76)**2d0 + Nc*cMU*coupl(nGC_86)**2d0*  &
                      coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*  &
                      coupl(nGC_88) + Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0  &
                       + cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 4d0*cME*coupl( &
                      nGC_66)*coupl(nGC_67)*coupl(nGC_68) + cME*coupl(nGC_67)* &
                      coupl(nGC_68)**2d0 + cMM*coupl(nGC_70)**2d0*coupl(nGC_71 &
                      ) + 4d0*cMM*coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) +  &
                      cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 + cMTA*coupl(nGC_82 &
                      )**2d0*coupl(nGC_83) + 4d0*cMTA*coupl(nGC_82)*coupl(     &
                      nGC_83)*coupl(nGC_84) + cMTA*coupl(nGC_83)*coupl(nGC_84  &
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_3232) = (-Nc*coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + Nc*coupl&
                      (nGC_34)*coupl(nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_34)* &
                      coupl(nGC_74)*coupl(nGC_75) + Nc*coupl(nGC_34)*coupl(    &
                      nGC_75)*coupl(nGC_76) + Nc*coupl(nGC_35)*coupl(nGC_58)*  &
                      coupl(nGC_59) - Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(    &
                      nGC_60) + Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87) - &
                      Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) + Nc*coupl( &
                      nGC_38)*coupl(nGC_62)*coupl(nGC_63) - Nc*coupl(nGC_38)*  &
                      coupl(nGC_63)*coupl(nGC_64) + Nc*coupl(nGC_38)*coupl(    &
                      nGC_74)*coupl(nGC_75) - Nc*coupl(nGC_38)*coupl(nGC_75)*  &
                      coupl(nGC_76) - Nc*coupl(nGC_39)*coupl(nGC_58)*coupl(    &
                      nGC_59) + Nc*coupl(nGC_39)*coupl(nGC_59)*coupl(nGC_60) - &
                      Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87) + Nc*coupl( &
                      nGC_39)*coupl(nGC_87)*coupl(nGC_88) - coupl(nGC_36)*coupl&
                      (nGC_66)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_67)*    &
                      coupl(nGC_68) - coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71 &
                      ) + coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) - coupl(   &
                      nGC_36)*coupl(nGC_82)*coupl(nGC_83) + coupl(nGC_36)*coupl&
                      (nGC_83)*coupl(nGC_84) + coupl(nGC_40)*coupl(nGC_66)*    &
                      coupl(nGC_67) - coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68 &
                      ) + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - coupl(   &
                      nGC_40)*coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_40)*coupl&
                      (nGC_82)*coupl(nGC_83) - coupl(nGC_40)*coupl(nGC_83)*    &
                      coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_7903) = -coupl(nGC_3232)
    coupl(nGC_3233) = Nc*(coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) - coupl(   &
                      nGC_34)*coupl(nGC_55)*coupl(nGC_56) - coupl(nGC_35)*coupl&
                      (nGC_78)*coupl(nGC_79) + coupl(nGC_35)*coupl(nGC_79)*    &
                      coupl(nGC_80) - coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55 &
                      ) + coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + coupl(   &
                      nGC_39)*coupl(nGC_78)*coupl(nGC_79) - coupl(nGC_39)*coupl&
                      (nGC_79)*coupl(nGC_80))/(24d0*pi**2d0)
    coupl(nGC_7906) = -coupl(nGC_3233)
    coupl(nGC_3234) = 3d0*(Nc*cMC*coupl(nGC_59)**3d0 + Nc*cMD*coupl(nGC_63)**  &
                      3d0 + Nc*cMS*coupl(nGC_75)**3d0 + Nc*cMU*coupl(nGC_87)** &
                      3d0 + cME*coupl(nGC_67)**3d0 + cMM*coupl(nGC_71)**3d0 +  &
                      cMTA*coupl(nGC_83)**3d0)/(4d0*pi**2d0)
    coupl(nGC_3235) = Nc*coupl(nGC_23)**2d0*(-cMB*coupl(nGC_55) - cMT*coupl(   &
                      nGC_79))/(8d0*pi**2d0)
    coupl(nGC_3236) = coupl(nGC_23)**2d0*(-Nc*cMC*coupl(nGC_59) - Nc*cMD*coupl(&
                      nGC_63) - Nc*cMS*coupl(nGC_75) - Nc*cMU*coupl(nGC_87) -  &
                      cME*coupl(nGC_67) - cMM*coupl(nGC_71) - cMTA*coupl(nGC_83&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3237) = Nc*(-cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + cMB*coupl(   &
                      nGC_34)*coupl(nGC_38)*coupl(nGC_55) - cMB*coupl(nGC_38)**&
                      2d0*coupl(nGC_55) - cMT*coupl(nGC_35)**2d0*coupl(nGC_79  &
                      ) + cMT*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - cMT* &
                      coupl(nGC_39)**2d0*coupl(nGC_79))/(4d0*pi**2d0)
    coupl(nGC_3238) = (-Nc*cMC*coupl(nGC_35)**2d0*coupl(nGC_59) + Nc*cMC*coupl(&
                      nGC_35)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMC*coupl(nGC_39&
                      )**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_34)**2d0*coupl(  &
                      nGC_63) + Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63&
                      ) - Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) - Nc*cMS*    &
                      coupl(nGC_34)**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_75) - Nc*cMS*coupl(nGC_38)**2d0* &
                      coupl(nGC_75) - Nc*cMU*coupl(nGC_35)**2d0*coupl(nGC_87   &
                      ) + Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87) - Nc&
                      *cMU*coupl(nGC_39)**2d0*coupl(nGC_87) - cME*coupl(nGC_36 &
                      )**2d0*coupl(nGC_67) + cME*coupl(nGC_36)*coupl(nGC_40)*  &
                      coupl(nGC_67) - cME*coupl(nGC_40)**2d0*coupl(nGC_67) -   &
                      cMM*coupl(nGC_36)**2d0*coupl(nGC_71) + cMM*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_71) - cMM*coupl(nGC_40)**2d0*    &
                      coupl(nGC_71) - cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) +  &
                      cMTA*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) - cMTA*   &
                      coupl(nGC_40)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
    coupl(nGC_3239) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMT*   &
                      coupl(nGC_79))/(16d0*pi**2d0)
    coupl(nGC_3240) = coupl(nGC_11)**2d0*sq2**2d0*(-cMC*coupl(nGC_59) - cMD*   &
                      coupl(nGC_63) - cMS*coupl(nGC_75) - cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0)
    coupl(nGC_3241) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMT*    &
                      coupl(nGC_79))/(16d0*pi**2d0*Nc)
    coupl(nGC_3242) = coupl(nGC_11)**2d0*sq2**2d0*(cMC*coupl(nGC_59) + cMD*    &
                      coupl(nGC_63) + cMS*coupl(nGC_75) + cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3243) = coupl(nGC_23)**2d0*(-Nc*coupl(nGC_38) + Nc*coupl(nGC_39  &
                      ) - coupl(nGC_40) + coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_7947) = -coupl(nGC_3243)
    coupl(nGC_3244) = coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
    coupl(nGC_7954) = -coupl(nGC_3244)
    coupl(nGC_3245) = -coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
    coupl(nGC_7956) = -coupl(nGC_3245)
    coupl(nGC_3246) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_3247) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3248) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0 -  &
                      coupl(nGC_77)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3249) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_57)**2d0 -  &
                      coupl(nGC_61)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3250) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 +   &
                      coupl(nGC_77)**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3251) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_57)**2d0 +   &
                      coupl(nGC_61)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3252) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_78)*coupl(nGC_80))/(16d0*pi**2d0)
    coupl(nGC_3253) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_58)*coupl(  &
                      nGC_60) - coupl(nGC_62)*coupl(nGC_64) - coupl(nGC_74)*   &
                      coupl(nGC_76) - coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0)
    coupl(nGC_3254) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_78)*coupl(nGC_80))/(16d0*pi**2d0*Nc)
    coupl(nGC_3255) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_62)*coupl(nGC_64) + coupl(nGC_74)*   &
                      coupl(nGC_76) + coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_3256) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_79)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3257) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0 -  &
                      coupl(nGC_63)**2d0 - coupl(nGC_75)**2d0 - coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0)
    coupl(nGC_3258) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_79)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3259) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_63)**2d0 + coupl(nGC_75)**2d0 + coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3260) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3261) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3262) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0)
    coupl(nGC_3263) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0*Nc)
    coupl(nGC_3264) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3265) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3266) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_3267) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_3268) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_3269) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3270) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_3271) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_3272) = 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
    coupl(nGC_8174) = -5d0*coupl(nGC_3272)/3d0
    coupl(nGC_3273) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc)
    coupl(nGC_3274) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_3275) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3276) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
    coupl(nGC_8190) = -3d0*coupl(nGC_3276)/5d0
    coupl(nGC_3121) = -cima*cw*ee/sw**2d0
    coupl(nGC_3122) = cima*ee/sw
    coupl(nGC_3107) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3131) = 2d0*cima*ee**2d0/sw
    coupl(nGC_3130) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3109) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3108) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_3103) = cima*ee/(2d0*cMW)
    coupl(nGC_3132) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3133) = -ee/(4d0*cMW*sw)
    coupl(nGC_3137) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3138) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3175) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3177) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_3176) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3120) = -cima*ee/sw
    coupl(nGC_3119) = cima*cw*ee/sw**2d0
    coupl(nGC_3135) = ee/(4d0*cMW*sw)
    coupl(nGC_3134) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3139) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3140) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3181) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3182) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3180) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3126) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3125) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3081) = cima*ee**2d0*vev/(2d0*sw**2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
