!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 15:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3114) = -ee/(2d0*sw**2d0)
    coupl(nGC_3112) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3124) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3110) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3105) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3087) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3174) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3173) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3160) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3159) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3168) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3167) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3088) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3090) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3079) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3089) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3183) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3184) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3158) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3157) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3100) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_3101) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3117) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3145) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3144) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3165) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3164) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3142) = cima*ee/(3d0*cw)
    coupl(nGC_3143) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3163) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3162) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3172) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3171) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3148) = -cima*ee*sw/cw**2d0
    coupl(nGC_3147) = cima*ee/cw
    coupl(nGC_138) = cima/(2d0*cMW)
    coupl(nGC_142) = -cima/(2d0*cMW)
    coupl(nGC_146) = 1d0/(2d0*cMZ)
    coupl(nGC_3277) = coupl(nGC_3091)*dZgs_QCD2
    coupl(nGC_3278) = coupl(nGC_3093)*dZgs_QCD2
    coupl(nGC_3281) = coupl(nGC_3121)*dsw_ + coupl(nGC_3122)*dcw_
    coupl(nGC_3282) = coupl(nGC_3107)*dsw_
    coupl(nGC_3283) = coupl(nGC_3130)*dsw_ + coupl(nGC_3131)*dcw_
    coupl(nGC_3284) = coupl(nGC_3108)*dsw_ + coupl(nGC_3109)*dcw_
    coupl(nGC_3286) = coupl(nGC_3103)*dMW2
    coupl(nGC_3287) = coupl(nGC_3132)*dsw_ + coupl(nGC_3133)*dMW2
    coupl(nGC_3288) = coupl(nGC_3137)*dsw_ + coupl(nGC_3138)*dMW2
    coupl(nGC_3289) = coupl(nGC_3175)*dsw_ + coupl(nGC_3176)*dcw_ + coupl(     &
                      nGC_3177)*dMW2
    coupl(nGC_3290) = coupl(nGC_3119)*dsw_ + coupl(nGC_3120)*dcw_
    coupl(nGC_3291) = coupl(nGC_3134)*dsw_ + coupl(nGC_3135)*dMW2
    coupl(nGC_3292) = coupl(nGC_3139)*dsw_ + coupl(nGC_3140)*dMZ2
    coupl(nGC_3293) = coupl(nGC_3180)*dsw_ + coupl(nGC_3181)*dcw_ + coupl(     &
                      nGC_3182)*dMZ2
    coupl(nGC_3294) = coupl(nGC_3098)*dlam_QED2
    coupl(nGC_3295) = coupl(nGC_3095)*dlam_QED2
    coupl(nGC_3297) = coupl(nGC_3084)*dlam_QED2 + coupl(nGC_3085)*dvev_QEDM1
    coupl(nGC_3298) = coupl(nGC_3082)*dlam_QED2 + coupl(nGC_3083)*dvev_QEDM1
    coupl(nGC_3300) = coupl(nGC_3126)*dsw_
    coupl(nGC_3301) = coupl(nGC_3125)*dsw_
    coupl(nGC_3302) = coupl(nGC_3080)*dvev_QEDM1 + coupl(nGC_3081)*dsw_
    coupl(nGC_3303) = coupl(nGC_3114)*dsw_
    coupl(nGC_3304) = coupl(nGC_3112)*dsw_
    coupl(nGC_3305) = coupl(nGC_3124)*dsw_
    coupl(nGC_3306) = coupl(nGC_3110)*dsw_
    coupl(nGC_3307) = coupl(nGC_3105)*dsw_
    coupl(nGC_3308) = coupl(nGC_3086)*dvev_QEDM1 + coupl(nGC_3087)*dsw_
    coupl(nGC_3309) = coupl(nGC_3173)*dsw_ + coupl(nGC_3174)*dcw_
    coupl(nGC_3310) = coupl(nGC_3159)*dsw_ + coupl(nGC_3160)*dcw_
    coupl(nGC_3311) = coupl(nGC_3167)*dsw_ + coupl(nGC_3168)*dcw_
    coupl(nGC_3312) = coupl(nGC_3088)*dcw_
    coupl(nGC_3313) = coupl(nGC_3090)*dcw_
    coupl(nGC_3314) = coupl(nGC_3078)*dvev_QEDM1 + coupl(nGC_3079)*dcw_
    coupl(nGC_3315) = coupl(nGC_3089)*dcw_
    coupl(nGC_3316) = coupl(nGC_3183)*dsw_ + coupl(nGC_3184)*dcw_
    coupl(nGC_3317) = coupl(nGC_3157)*dsw_ + coupl(nGC_3158)*dcw_
    coupl(nGC_3318) = coupl(nGC_3099)*dvev_QEDM1 + coupl(nGC_3100)*dsw_ + coupl&
                      (nGC_3101)*dcw_
    coupl(nGC_3321) = coupl(nGC_106)*dZgs_QCD2
    coupl(nGC_3322) = coupl(nGC_3117)*dsw_
    coupl(nGC_3323) = coupl(nGC_3144)*dsw_ + coupl(nGC_3145)*dcw_
    coupl(nGC_3324) = coupl(nGC_3164)*dsw_ + coupl(nGC_3165)*dcw_
    coupl(nGC_3325) = coupl(nGC_3142)*dsw_ + coupl(nGC_3143)*dcw_
    coupl(nGC_3326) = coupl(nGC_3162)*dsw_ + coupl(nGC_3163)*dcw_
    coupl(nGC_3327) = coupl(nGC_3171)*dsw_ + coupl(nGC_3172)*dcw_
    coupl(nGC_3328) = coupl(nGC_3147)*dsw_ + coupl(nGC_3148)*dcw_
    coupl(nGC_3333) = coupl(nGC_3149)*dvev_QEDM1
    coupl(nGC_3334) = coupl(nGC_3092)*dyb_QED1
    coupl(nGC_3335) = coupl(nGC_3115)*dydo_QED1
    coupl(nGC_3336) = coupl(nGC_3111)*dydo_QED1
    coupl(nGC_3337) = coupl(nGC_3146)*dys_QED1
    coupl(nGC_3338) = coupl(nGC_3136)*dys_QED1
    coupl(nGC_3339) = coupl(nGC_3097)*dyb_QED1
    coupl(nGC_3340) = coupl(nGC_3094)*dyb_QED1
    coupl(nGC_3341) = coupl(nGC_3113)*dydo_QED1
    coupl(nGC_3342) = coupl(nGC_3141)*dys_QED1
    coupl(nGC_3343) = coupl(nGC_3096)*dyb_QED1
    coupl(nGC_3347) = coupl(nGC_3123)*dye_QED1
    coupl(nGC_3348) = coupl(nGC_3116)*dye_QED1
    coupl(nGC_3349) = coupl(nGC_3129)*dym_QED1
    coupl(nGC_3350) = coupl(nGC_3127)*dym_QED1
    coupl(nGC_3351) = coupl(nGC_3170)*dytau_QED1
    coupl(nGC_3352) = coupl(nGC_3166)*dytau_QED1
    coupl(nGC_3353) = coupl(nGC_3118)*dye_QED1
    coupl(nGC_3354) = coupl(nGC_3128)*dym_QED1
    coupl(nGC_3355) = coupl(nGC_3169)*dytau_QED1
    coupl(nGC_3356) = coupl(nGC_3178)*dyup_QED1
    coupl(nGC_3357) = coupl(nGC_3179)*dyup_QED1
    coupl(nGC_3358) = coupl(nGC_3102)*dyc_QED1
    coupl(nGC_3359) = coupl(nGC_3104)*dyc_QED1
    coupl(nGC_3360) = coupl(nGC_3151)*dvev_QEDM1
    coupl(nGC_3361) = coupl(nGC_3155)*dvev_QEDM1
    coupl(nGC_3362) = coupl(nGC_3161)*dyup_QED1
    coupl(nGC_3363) = coupl(nGC_3106)*dyc_QED1
    coupl(nGC_3364) = coupl(nGC_3153)*dvev_QEDM1
    coupl(nGC_3379) = coupl(nGC_138)*dMW2
    coupl(nGC_3380) = coupl(nGC_142)*dMW2
    coupl(nGC_3381) = coupl(nGC_146)*dMZ2
    coupl(nGC_4625) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3277)
    coupl(nGC_4630) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3278)
    coupl(nGC_4631) = -2d0*coupl(nGC_4630)
    coupl(nGC_4634) = 2d0*coupl(nGC_4630)
    coupl(nGC_4635) = -coupl(nGC_4630)
    coupl(nGC_4650) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3281)
    coupl(nGC_4660) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3283)
    coupl(nGC_4661) = coupl(nGC_4659) - coupl(nGC_4660)/2d0
    coupl(nGC_4662) = -2d0*coupl(nGC_4659) + coupl(nGC_4660)
    coupl(nGC_4670) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3282)
    coupl(nGC_4671) = -2d0*coupl(nGC_4670)
    coupl(nGC_4679) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3284)
    coupl(nGC_4680) = coupl(nGC_4676) - 2d0*coupl(nGC_4679)
    coupl(nGC_4681) = -coupl(nGC_4676)/2d0 + coupl(nGC_4679)
    coupl(nGC_4700) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3288)
    coupl(nGC_4708) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3281)
    coupl(nGC_4709) = -coupl(nGC_4708)
    coupl(nGC_4713) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3290)
    coupl(nGC_4714) = -coupl(nGC_4713)
    coupl(nGC_4727) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3290) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_4728) = -coupl(nGC_4727)
    coupl(nGC_4732) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3281)
    coupl(nGC_4733) = -coupl(nGC_4732)
    coupl(nGC_4742) = coupl(nGC_3293) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_4745) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3277)
    coupl(nGC_4746) = -coupl(nGC_4745)
    coupl(nGC_4754) = coupl(nGC_13)*dZH + coupl(nGC_3295)
    coupl(nGC_4759) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3294)
    coupl(nGC_4762) = coupl(nGC_3297) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_4767) = coupl(nGC_3298) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_4775) = coupl(nGC_3309) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_4782) = coupl(nGC_3311) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_4786) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3300) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_4790) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3312) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_4794) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3301) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_4798) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3313) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_4802) = coupl(nGC_3302) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_4806) = coupl(nGC_3314) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_4809) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3303)
    coupl(nGC_4812) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3304)
    coupl(nGC_4816) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3305) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_4820) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3315) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_4837) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3306)
    coupl(nGC_4840) = coupl(nGC_17)*dZWMinus + coupl(nGC_3307)
    coupl(nGC_4845) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3307)
    coupl(nGC_4848) = coupl(nGC_3308) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_4856) = coupl(nGC_3317) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_4859) = coupl(nGC_3310) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_4899) = coupl(nGC_3316) + coupl(nGC_46)*dZZ
    coupl(nGC_4903) = coupl(nGC_3316) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_4907) = coupl(nGC_3318) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_4923) = coupl(nGC_3328) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_4924) = coupl(nGC_3311) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_4925) = coupl(nGC_4918) + coupl(nGC_4923)
    coupl(nGC_4926) = coupl(nGC_4918) + coupl(nGC_4924)
    coupl(nGC_4941) = coupl(nGC_3328) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_4942) = coupl(nGC_3311) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_4943) = coupl(nGC_4918) + coupl(nGC_4941)
    coupl(nGC_4944) = coupl(nGC_4918) + coupl(nGC_4942)
    coupl(nGC_4959) = coupl(nGC_3328) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_4960) = coupl(nGC_3311) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_4961) = coupl(nGC_4918) + coupl(nGC_4959)
    coupl(nGC_4962) = coupl(nGC_4918) + coupl(nGC_4960)
    coupl(nGC_4973) = coupl(nGC_3323) + coupl(nGC_35)*dZZ/2d0
    coupl(nGC_4974) = coupl(nGC_3324) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_4975) = coupl(nGC_4968) + coupl(nGC_4973)
    coupl(nGC_4976) = coupl(nGC_4968) + coupl(nGC_4974)
    coupl(nGC_5003) = coupl(nGC_3325) + coupl(nGC_34)*dZZ/2d0
    coupl(nGC_5004) = coupl(nGC_3326) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_5005) = coupl(nGC_4998) + coupl(nGC_5003)
    coupl(nGC_5006) = coupl(nGC_4998) + coupl(nGC_5004)
    coupl(nGC_5025) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3321)
    coupl(nGC_5050) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3322)
    coupl(nGC_5063) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3322)
    coupl(nGC_5066) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3322)
    coupl(nGC_5069) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3322)
    coupl(nGC_5078) = coupl(nGC_3327) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_5082) = coupl(nGC_3327) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_5086) = coupl(nGC_3327) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_5102) = coupl(nGC_3341) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_5105) = coupl(nGC_3342) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_5108) = coupl(nGC_3343) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_5122) = coupl(nGC_3347) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_5123) = coupl(nGC_3348) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_5128) = coupl(nGC_3349) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_5129) = coupl(nGC_3350) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5134) = coupl(nGC_3351) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5135) = coupl(nGC_3352) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_5140) = coupl(nGC_3353) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_5141) = coupl(nGC_5137) + coupl(nGC_5140)
    coupl(nGC_5146) = coupl(nGC_3354) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_5147) = coupl(nGC_5143) + coupl(nGC_5146)
    coupl(nGC_5152) = coupl(nGC_3355) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_5153) = coupl(nGC_5149) + coupl(nGC_5152)
    coupl(nGC_5168) = coupl(nGC_3362) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_5171) = coupl(nGC_3363) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_5174) = coupl(nGC_3364) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_5238) = coupl(nGC_3379) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5241) = coupl(nGC_3380) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_5244) = coupl(nGC_3381) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_5258) = -coupl(nGC_4650)
    coupl(nGC_5798) = -coupl(nGC_4782)
    coupl(nGC_6101) = -coupl(nGC_4809)
    coupl(nGC_6112) = -coupl(nGC_4812)
    coupl(nGC_6421) = -coupl(nGC_4837)
    coupl(nGC_6567) = -coupl(nGC_4859)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
