!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 15:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dsw_ = (cMW**2d0*dMZ2 - cMZ**2d0*dMW2)/(2d0*cMZ**4d0*sqrt((-cMW**2d0 + cMZ** &
         2d0)/cMZ**2d0))
  dytau_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*(-2d0*cMW**4d0*cMZ**2d0*dMTA - cMW &
               **4d0*dMZ2*ymtau + 2d0*cMW**2d0*cMZ**4d0*dMTA + 2d0*cMW**2d0*cMZ&
               **2d0*dMW2*ymtau - cMZ**4d0*dMW2*ymtau)/(2d0*cMW**3d0*cMZ**2d0* &
               sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dg1_QED1 = sqrt(pi)*sqrt(aEW)*(-cMW**2d0*dMZ2 + cMZ**2d0*dMW2)/(2d0*cMW**2d0*&
             cMZ**2d0*sqrt(cMW**2d0/cMZ**2d0))
  dyb_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymb*(-cMW**4d0*dMZ2 + 2d0*cMW**2d0*  &
             cMZ**2d0*dMW2 - cMZ**4d0*dMW2)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW**&
             2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dsw2_ = (cMW**2d0*dMZ2 - cMZ**2d0*dMW2)/cMZ**4d0
  dys_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*yms*(-cMW**4d0*dMZ2 + 2d0*cMW**2d0*  &
             cMZ**2d0*dMW2 - cMZ**4d0*dMW2)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW**&
             2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dyt_QED1_YUK1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*gt*ymt*(-cMW**4d0*dMZ2 + 2d0*cMW&
                  **2d0*cMZ**2d0*dMW2 - cMZ**4d0*dMW2)/(2d0*cMW**3d0*cMZ**2d0* &
                  sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dyup_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymup*(-cMW**4d0*dMZ2 + 2d0*cMW**2d0*&
              cMZ**2d0*dMW2 - cMZ**4d0*dMW2)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW &
              **2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dgw_QED1 = sqrt(pi)*sqrt(aEW)*(-cMW**2d0*dMZ2 + cMZ**2d0*dMW2)/(cMZ**2d0*sqrt&
             ((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dvev_QEDM1 = (cMW**4d0*dMZ2 - 2d0*cMW**2d0*cMZ**2d0*dMW2 + cMZ**4d0*dMW2)/(  &
               2d0*sqrt(pi)*sqrt(aEW)*cMW*cMZ**4d0*sqrt((-cMW**2d0 + cMZ**2d0)/&
               cMZ**2d0))
  dydo_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymdo*(-cMW**4d0*dMZ2 + 2d0*cMW**2d0*&
              cMZ**2d0*dMW2 - cMZ**4d0*dMW2)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW &
              **2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dye_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*(-2d0*cMW**4d0*cMZ**2d0*dME - cMW**  &
             4d0*dMZ2*yme + 2d0*cMW**2d0*cMZ**4d0*dME + 2d0*cMW**2d0*cMZ**2d0* &
             dMW2*yme - cMZ**4d0*dMW2*yme)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW** &
             2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dym_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*(-2d0*cMW**4d0*cMZ**2d0*dMM - cMW**  &
             4d0*dMZ2*ymm + 2d0*cMW**2d0*cMZ**4d0*dMM + 2d0*cMW**2d0*cMZ**2d0* &
             dMW2*ymm - cMZ**4d0*dMW2*ymm)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW** &
             2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dlam_QED2 = 2d0*pi*aEW*(cMH**2d0*cMW**6d0*dMZ2 - 2d0*cMH**2d0*cMW**4d0*cMZ** &
              2d0*dMW2 - cMH**2d0*cMW**4d0*cMZ**2d0*dMZ2 + 3d0*cMH**2d0*cMW**  &
              2d0*cMZ**4d0*dMW2 - cMH**2d0*cMZ**6d0*dMW2 + cMW**6d0*cMZ**2d0*  &
              dMH2 - 2d0*cMW**4d0*cMZ**4d0*dMH2 + cMW**2d0*cMZ**6d0*dMH2)/(cMW &
              **4d0*(-cMW**6d0 + 3d0*cMW**4d0*cMZ**2d0 - 3d0*cMW**2d0*cMZ**4d0 &
               + cMZ**6d0))
  dyc_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymc*(-cMW**4d0*dMZ2 + 2d0*cMW**2d0*  &
             cMZ**2d0*dMW2 - cMZ**4d0*dMW2)/(2d0*cMW**3d0*cMZ**2d0*sqrt((-cMW**&
             2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**2d0))
  dcw_ = (-cMW**2d0*dMZ2 + cMZ**2d0*dMW2)/(2d0*cMZ**4d0*sqrt(cMW**2d0/cMZ**2d0))
  dmuH2_ = dMH2/2d0
end subroutine set_derived_ctparameter
end module derived_ctparameter
