!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 15:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten0, Ten1, Ten2, Ten3, Ten4, Ten5, Ten6, Ten7, Ten8, Ten9,   &
                 Ten10, Ten11, Ten12, Ten13, Ten14, Ten15, Ten16, Ten17, Ten18 &
                 , Ten19, Ten20, Ten21, Ten22, Ten23, Ten24, Ten25, Ten26,     &
                 Ten27, Ten28, Ten29, Ten30, Ten31, Ten32, Ten33, Ten34, Ten35 &
                 , Ten36, Ten37, Ten38, Ten39, Ten40, Ten41, Ten42, Ten43
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten0 = B1(cnul, cMT2_reg, cMT2_reg)
    Ten1 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten2 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten3 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten4 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten5 = B1(cnul, cMB2_reg, cMB2_reg)
    Ten6 = B11(cnul, cMT2_reg, cMT2_reg)
    Ten7 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten8 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten9 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten10 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten11 = B11(cnul, cMB2_reg, cMB2_reg)
    Ten12 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten13 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten14 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten15 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten16 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten17 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten18 = B00(cnul, cMT2_reg, cMT2_reg)
    Ten19 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten20 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten21 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten22 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten23 = B00(cnul, cMB2_reg, cMB2_reg)
    Ten24 = DB0(cnul, cMT2_reg, cMT2_reg)
    Ten25 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten26 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten27 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten28 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten29 = DB0(cnul, cMB2_reg, cMB2_reg)
    Ten30 = DB00(cnul, cMT2_reg, cMT2_reg)
    Ten31 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten32 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten33 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten34 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten35 = DB00(cnul, cMB2_reg, cMB2_reg)
    Ten36 = HT(cMU2_reg, cMU2_reg)
    Ten37 = HT(cMC2_reg, cMC2_reg)
    Ten38 = HT(cMD2_reg, cMD2_reg)
    Ten39 = HT(cMS2_reg, cMS2_reg)
    Ten40 = HT(cMB2_reg, cMB2_reg)
    Ten41 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten42 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten43 = B0(cnul, cMC2_reg, cMC2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
